package digital.laboratory.platform.reagent.mapper;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import digital.laboratory.platform.reagent.entity.WarehousingBatchList;
import digital.laboratory.platform.reagent.vo.WarehousingBatchListVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 签收批次明细 Mapper 接口
 *
 * @author Zhang Xiaolong created at  2023-03-10
 * @describe 签收批次明细 Mapper 类
 */
@Mapper
public interface WarehousingBatchListMapper extends BaseMapper<WarehousingBatchList> {

    List<WarehousingBatchListVO> getWarehousingBatchListVOList(@Param(value = "warehousingRecordFormId") String warehousingRecordFormId, @Param(value = "keywords") String keywords);

}
