package digital.laboratory.platform.reagent.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import digital.laboratory.platform.reagent.entity.WarehousingContent;
import digital.laboratory.platform.reagent.vo.WarehousingContentVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.security.core.parameters.P;
import org.yaml.snakeyaml.scanner.Constant;

import java.util.List;

@Mapper
public interface WarehousingContentMapper extends BaseMapper<WarehousingContent> {

    List<WarehousingContentVO> getWarehousingContentVOList(@Param(value = "warehousingRecordFormId") String warehousingRecordFormId, @Param(value = "opCode") Integer opCode, @Param(value = "keywords") String keywords, @Param(value = "category") String category);

    IPage<WarehousingContentVO> getWarehousingContentVOPage(Page page, @Param(Constants.WRAPPER) QueryWrapper<WarehousingContent> qw);
}
